package com.tuoheng.admin.enums.code.user;

/**
 *  查询用户分页列表返回码
 *      模块代码：10（用户管理）
 *      接口代码：08 （询用户分页列表）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-08
 */
public enum QueryUserPageListCodeEnum {

    ORDINARY_USERS_NO_PERMISSION(1100801, "普通用户没有查询权限");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    QueryUserPageListCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
